<?

include '../../config.php';
include '../../func.php';
head();


$id = num($_GET['id']);
$razdel = mysql_fetch_assoc(mysql_query("SELECT * FROM `fo_razdel` WHERE `id` = '".$id."'"));

if ( empty($razdel['id']) ) {
    
    echo link2 . 'Раздел не найден' . div;
    navig();
    foot();
    exit();
    
}
if ( isset($_POST['submit']) ) {
    
    $name = html($_POST['name']);
    $info = html($_POST['info']);
    $tip = num($_POST['tip']);
    
    if ( empty($name) ) {
        header('Location: index.php?mod=empty_name&result=error');
    } else {
    $result = mysql_query("UPDATE `fo_razdel` SET `name` = '".$name."', `info` = '".$info."', `tip` = '".$tip."' WHERE `id` = '".$id."'");
    if ( $result != NULL ) {
        
        header('Location: index.php?mod=razdel_edit&result=good');
        
    } else {
        
        header('Location: index.php?mod=razdel_edit&result=error');
        
    }
    
    }
    
}
echo link2 . '<form action="razdel_edit.php?id='.$id.'" method="post" name="form">';
echo '<input name="name" value="'.$razdel['name'].'" type="text" maxlength="50"/><br/ >';
echo '<b>Описание раздела:</b><br/ >
                <input class="text" input name="info" value="'.$razdel['info'].'" type="text" maxlength="50" /><br/ >
                <b>Тип раздела:</b><br/>
                <select name="tip">
                <option value="1">Изображения</option>
                <option value="2">Музыка</option>
                <option value="3">Видео</option>
                <option value="4">Игры и Приложения (Java)</option>
                <option value="5">Игры и Приложения (Symbian)</option>
                <option value="6">Темы (Java)</option>
                <option value="7">Темы (Symbian)</option>
                <option value="8">Архивы</option>
                <option value="9">Текстовые файлы</option>
                <option value="10">Изображения + Эро</option>
                <option value="11">Видео + Эро</option>
                </select><br/ >';
echo '<input name="submit" class="submit" type="submit" value="Изменить" /></form>' . div;